// For compilers that support precompilation, includes "wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include <wx/image.h>
#include "MyFrame.h"
#include "GLWidget.h"

class MyApp: public wxApp
{
public:
    bool OnInit();
private:
    DECLARE_EVENT_TABLE();
};

IMPLEMENT_APP(MyApp)

bool MyApp::OnInit()
{
    wxInitAllImageHandlers();
    MyFrame* MainFrame = new MyFrame(0, -1, "", wxPoint(10,10));
    SetTopWindow(MainFrame);
    MainFrame->Show();
    return true;
}

BEGIN_EVENT_TABLE(MyApp, wxApp)
    EVT_KEY_DOWN        (                 MyFrame::OnKeyDown)
    EVT_SET_FOCUS       (                 MyFrame::OnFocusExtern)
END_EVENT_TABLE()
